com.fasterxml.jackson.dataformat.avro.deser

## Class AvroReaderFactory

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroReaderFactory

-     public abstract class AvroReaderFactory
      extends Object

  Helper class used for constructing a hierarchic reader for given (reader-) schema.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreeMap<String,AvroStructureReader>` | `_knownReaders` To resolve cyclic types, need to keep track of resolved named types.
    `protected static ScalarDecoder` | `READER_BOOLEAN`
    `protected static ScalarDecoder` | `READER_BYTES`
    `protected static ScalarDecoder` | `READER_DOUBLE`
    `protected static ScalarDecoder` | `READER_FLOAT`
    `protected static ScalarDecoder` | `READER_INT`
    `protected static ScalarDecoder` | `READER_LONG`
    `protected static ScalarDecoder` | `READER_NULL`
    `protected static ScalarDecoder` | `READER_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroReaderFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AvroStructureReader` | `createArrayReader(org.apache.avro.Schema schema)`
    `protected AvroFieldReader` | `createFieldReader(org.apache.avro.Schema.Field field)`
    `static AvroStructureReader` | `createFor(org.apache.avro.Schema schema)`
    `static AvroStructureReader` | `createFor(org.apache.avro.Schema writerSchema, org.apache.avro.Schema readerSchema)`
    `protected AvroStructureReader` | `createMapReader(org.apache.avro.Schema schema)`
    `AvroStructureReader` | `createReader(org.apache.avro.Schema schema)` Method for creating a reader instance for specified type, only using specific schema that was used to encoded data ("writer schema").
    `protected AvroStructureReader` | `createRecordReader(org.apache.avro.Schema schema)`
    `ScalarDecoder` | `createScalarValueDecoder(org.apache.avro.Schema type)`
    `protected AvroStructureReader` | `createUnionReader(org.apache.avro.Schema schema)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READER_BOOLEAN

          protected static final ScalarDecoder READER_BOOLEAN

    - #### READER_BYTES

          protected static final ScalarDecoder READER_BYTES

    - #### READER_DOUBLE

          protected static final ScalarDecoder READER_DOUBLE

    - #### READER_FLOAT

          protected static final ScalarDecoder READER_FLOAT

    - #### READER_INT

          protected static final ScalarDecoder READER_INT

    - #### READER_LONG

          protected static final ScalarDecoder READER_LONG

    - #### READER_NULL

          protected static final ScalarDecoder READER_NULL

    - #### READER_STRING

          protected static final ScalarDecoder READER_STRING

    - #### _knownReaders

          protected final TreeMap<String,AvroStructureReader> _knownReaders

      To resolve cyclic types, need to keep track of resolved named types.

  - ### Constructor Detail

    - #### AvroReaderFactory

          public AvroReaderFactory()

  - ### Method Detail

    - #### createFor

          public static AvroStructureReader createFor(org.apache.avro.Schema schema)

    - #### createFor

          public static AvroStructureReader createFor(org.apache.avro.Schema writerSchema,
                                                      org.apache.avro.Schema readerSchema)

    - #### createScalarValueDecoder

          public ScalarDecoder createScalarValueDecoder(org.apache.avro.Schema type)

    - #### createReader

          public AvroStructureReader createReader(org.apache.avro.Schema schema)

      Method for creating a reader instance for specified type, only using specific schema that was used to encoded data ("writer schema").

    - #### createArrayReader

          protected AvroStructureReader createArrayReader(org.apache.avro.Schema schema)

    - #### createMapReader

          protected AvroStructureReader createMapReader(org.apache.avro.Schema schema)

    - #### createRecordReader

          protected AvroStructureReader createRecordReader(org.apache.avro.Schema schema)

    - #### createUnionReader

          protected AvroStructureReader createUnionReader(org.apache.avro.Schema schema)

    - #### createFieldReader

          protected AvroFieldReader createFieldReader(org.apache.avro.Schema.Field field)

Copyright © 2019 FasterXML. All rights reserved.